.TH gk_popup n "25 August 1995" "GroupKit"
.SH NAME
gk_popup \- Display a window with users name.
.SH SYNOPSIS
.TP 
\fBgk_popup\fI pathname user local which\fR

.SH DESCRIPTION
This widget was not constructed with the class builder.  Therefore,
it is not a full Tk widget and is very limited in scope.  However,
it will pop-up a menu with a particular users name in it.  This
is useful to use when you need to let users know what portions of
a display belong to what users.  Intended use is with a \fImouse
button\fR, the menu will be displayed at the position the \fImouse
button\fR was pressed..  


.SH WIDGET COMMAND
The \fIgk_popup\fI command does not creates a new Tcl command whose name
is \fIpathname\fR, therefore, no  commands may be used to invoke various
operations on the widget.  
.PP
The various arguments given to the command are as follows:

.TP
\fBpathname\fR
The pathname refers to the widget that the mouse events are to be
bound too.  In other words the canvas, text, label or any other widget
where the event will occur.
.TP
\fBuser\fR
The user number of the particular user that is to be associated with
the particular location.
.TP
\fBlocal\fR
The user number of the local user, to find this you can use the 
\fIuserprefs\fR environment.
.TP
\fBwhich\fR
This refers to which type of binding system is to be used.  Valid
values are \fIcanvas\fR and \fItext\fR.  \fICanvas\fR causes binding
of the form \fIpathname bind tagname event script\fR. \fIText\fR causes
binding of the form \fIpathname tag bind tagname event script \fR.

.SH "DEFAULT BINDINGS"
Pressing mouse button one (left button) causes the menu to pop-up.
Releasing mouse button one causes the menu to disappear.

.SH NOTE
These widget probably will change in the near future, it will become
a full Tk widget. 

.SH AUTHOR
Shannon Jaeger (jaeger@cpsc.ucalgary.ca)